diff mbox series

[RFC,8/9] k3_fit_atf.sh: produce working binaries by default

Message ID 20200318095757.9365-9-ynezz@true.cz
State Superseded
Delegated to: Tom Rini
Headers show
Series produce working binaries by default | expand

Commit Message

Petr Štetiar March 18, 2020, 9:57 a.m. UTC
At this moment unusable binaries are produced if either bl31.bin or
bl32.bin files are missing in order to allow passing of various CI
tests. This intention of broken binaries has to be now explicitly
confirmed via new BUILDBOT_BROKEN_BINARIES config option, so usable
binaries are produced by default from now on.

Signed-off-by: Petr Štetiar <ynezz@true.cz>
---
 tools/k3_fit_atf.sh | 16 ++++++++++++----
 1 file changed, 12 insertions(+), 4 deletions(-)
diff mbox series

Patch

diff --git a/tools/k3_fit_atf.sh b/tools/k3_fit_atf.sh
index 4e9f69c08789..8e342b46c97b 100755
--- a/tools/k3_fit_atf.sh
+++ b/tools/k3_fit_atf.sh
@@ -10,15 +10,23 @@ 
 [ -z "$ATF" ] && ATF="bl31.bin"
 
 if [ ! -f $ATF ]; then
-	echo "WARNING ATF file $ATF NOT found, resulting binary is non-functional" >&2
-	ATF=/dev/null
+	if [ "$BUILDBOT_BROKEN_BINARIES" = "y" ]; then
+		ATF=/dev/null
+	else
+		echo "ERROR: ATF file $ATF NOT found, resulting binary is non-functional" >&2
+		exit 1
+	fi
 fi
 
 [ -z "$TEE" ] && TEE="bl32.bin"
 
 if [ ! -f $TEE ]; then
-	echo "WARNING OPTEE file $TEE NOT found, resulting might be non-functional" >&2
-	TEE=/dev/null
+	if [ "$BUILDBOT_BROKEN_BINARIES" = "y" ]; then
+		TEE=/dev/null
+	else
+		echo "ERROR: OPTEE file $TEE NOT found, resulting might be non-functional" >&2
+		exit 1
+	fi
 fi
 
 if [ ! -z "$IS_HS" ]; then